import k8s from "@kubernetes/client-node";
const MCL_KUBECONFIG = process.env.MCL_KUBECONFIG;
const envConfig = MCL_KUBECONFIG ? MCL_KUBECONFIG : null;
const kc = new k8s.KubeConfig();
try {
  if (!!envConfig)
    kc.loadFromString(Buffer.from(envConfig, "base64").toString("utf8"));
  else kc.loadFromDefault();
} catch (e) {
  console.error("There was an issue loading the config from an envar! Using default permissions!");
  console.error(e);
  kc.loadFromDefault();
}
export default kc;
